iproute2 (5.14.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Sep 2021 21:11:15 +0100

iproute2 (5.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.14.0'
  * Bump Standards-Version to 4.6.0, no changes
  * Backport patch to fix configure breakage

 -- Luca Boccassi <bluca@debian.org>  Thu, 02 Sep 2021 11:44:35 +0100

iproute2 (5.13.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 13:07:08 +0100

iproute2 (5.13.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.13.0'
    (Closes: #991465)
  * Drop patches merged upstream
  * Install new dcb and vdpa tools

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Jul 2021 10:56:50 +0100

iproute2 (5.10.0-4) unstable; urgency=medium

  * Backport 0012-iproute-force-rtm_dst_len-to-32-128.patch to fix ip
    route get with netmask (Closes: #944730)
  * Add d/not-installed file
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Feb 2021 23:34:59 +0000

iproute2 (5.10.0-3) unstable; urgency=medium

  * Backport patches to fix ip vrf exec (Closes: #980046)

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Jan 2021 23:11:31 +0000

iproute2 (5.10.0-2) unstable; urgency=medium

  * Backport patches from iproute2-next to support libbpf
  * Add build-dependency on libbpf-dev
  * Remove duplicated lines from iproute2.lintian-overridess

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Dec 2020 15:16:36 +0000

iproute2 (5.10.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.10.0'
    (Closes: #972784, #949235)
  * Bump Standards-Version to 4.5.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Dec 2020 22:47:37 +0000

iproute2 (5.9.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.9.0'

 -- Luca Boccassi <bluca@debian.org>  Mon, 19 Oct 2020 10:49:53 +0100

iproute2 (5.8.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.8.0'
  * Refresh 0001-Add-moo-feature.patch to remove fuzz from 5.8.0

 -- Luca Boccassi <bluca@debian.org>  Wed, 12 Aug 2020 13:54:32 +0100

iproute2 (5.7.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.7.0'
  * Add override for Lintian false positive in iproute2-doc

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jun 2020 12:27:27 +0100

iproute2 (5.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.6.0'
  * Set hardening=+all to enable BindNow
  * Use https in d/watch
  * Switch to debhelper-compat 12
  * Fix Vc-Browser field, remove .git
  * Minimize d/upstream/signing-key.asc
  * Add Lintian overrides for false positives

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Apr 2020 10:03:30 +0100

iproute2 (5.5.0-1) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #949566)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Build-depend on libxtables-dev instead of iptables-dev. (Closes:
    #951089)
  * Update upstream source from tag 'upstream/5.5.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2020 10:51:46 +0000

iproute2 (5.4.0-1) unstable; urgency=medium

  * Fix Lintian Warning: spelling-error-in-changelog
  * Update upstream source from tag 'upstream/5.4.0'
  * iproute2-doc: upstream no longer ships examples

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Nov 2019 10:56:11 +0000

iproute2 (5.3.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Do not ship ifstat.8 manpage, as we do not ship the binary
  * Update upstream source from tag 'upstream/5.3.0'
  * Refresh patches for 5.3.0

 -- Luca Boccassi <bluca@debian.org>  Fri, 27 Sep 2019 12:17:59 +0100

iproute2 (5.2.0-1) unstable; urgency=medium

  * Use /run/netns rather than /var/run/netns. Allows one to manage namespaces
    early at boot in case /var is on a different filesystem. (Closes:
    #929774)
  * Update upstream source from tag 'upstream/5.2.0'
  * Refresh 0004-sync-iptables-header.patch, most of it has been merged
    upstream.

 -- Luca Boccassi <bluca@debian.org>  Tue, 09 Jul 2019 20:52:47 +0100

iproute2 (5.1.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.1.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 May 2019 15:43:15 +0100

iproute2 (5.0.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.0.0'
  * Add build flags check to Gitlab CI.
  * Build-depend on libbsd-dev, to avoid using internal strlcpy.
  * autopkgtest: build-depend on locales-all for manpage test

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Mar 2019 12:14:41 +0000

iproute2 (4.20.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Jan 2019 20:04:14 +0000

iproute2 (4.20.0-1) experimental; urgency=medium

  * Merge tag 'upstream/4.20.0'
  * Drop patches merged upstream in v4.20.0.

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Jan 2019 15:31:15 +0000

iproute2 (4.19.0-2) unstable; urgency=medium

  * Simplify debian/rules, just use dh tools.
  * Set CBUILD_CFLAGS for dpkg-buildflags-missing
  * Add gitlab-ci.yml for Salsa's CI
  * Backport patches to let build use dpkg-buildpkg's CPPFLAGS.
  * Backport patches to fix testsuite cleanup.
    0008-Makefile-have-check-target-depend-on-all.patch
    0009-testsuite-declare-dependency-between-TESTS-and-gener.patch
    0010-testsuite-delete-dummy-interface-after-default-route-tes.patch
    0011-testsuite-remove-gre-kmods-if-the-test-loads-them.patch
  * autopkgtest: use built-in macro to install build-depends
  * autopkgtest: simplify test script by just running make check
  * autopkgtest: install kmod and sudo, needed by upstream tests
  * autopkgtest: remove breaks-testbed tag
  * Bump Standards-Version to 4.3.0, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Dec 2018 15:29:30 +0100

iproute2 (4.19.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Luca Boccassi ]
  * Merge tag 'upstream/4.19.0'
  * Skip test suite at build time.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Luca Boccassi <bluca@debian.org>  Fri, 26 Oct 2018 16:38:42 +0100

iproute2 (4.18.0-2) unstable; urgency=medium

  * Ship installed headers in the iproute2 package.
    At the moment this inludes a single iproute2/bpf_elf.h header.
    (Closes: #904122)
  * Add "terse" DEB_BUILD_OPTIONS as per policy 4.2.0.
    Build with make V=1 by default as the new policy requests.
  * Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 4.2.0.

 -- Luca Boccassi <bluca@debian.org>  Tue, 28 Aug 2018 16:55:44 +0100

iproute2 (4.18.0-1) experimental; urgency=medium

  * Add Brazilian Portuguese translation for Debconf template. Thanks
    Adriano Rafael Gomes!
    (Closes: #903355)
  * Add Spanish translation for Debconf template. Thanks Jathan!
    (Closes: #903864)
  * Add German translation for Debconf template. Thanks Helge!
    (Closes: #906173)
  * Merge tag 'upstream/4.18.0'

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Aug 2018 11:44:27 +0100

iproute2 (4.17.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Jul 2018 21:23:37 +0100

iproute2 (4.17.0-1) experimental; urgency=medium

  * Add Dutch translation for debconf template. Thanks Frans Spiesschaert!
    (Closes: #899022)
  * Add French translation for debconf template. Thanks Alban Vidal!
    (Closes: #899320)
  * Merge tag 'upstream/4.17.0'
  * Drop patches merged upstream.

 -- Luca Boccassi <bluca@debian.org>  Sat, 09 Jun 2018 17:45:11 +0100

iproute2 (4.16.0-4) unstable; urgency=medium

  * Backport patch to fix regression in v6 automated parsing.
    (Closes: #898840)

 -- Luca Boccassi <bluca@debian.org>  Wed, 16 May 2018 17:49:44 +0100

iproute2 (4.16.0-3) unstable; urgency=medium

  * Add Russian translation for Debconf template. Thanks Lev Lamberov!
    (Closes: #898164)
  * Add Portuguese translation for Debconf template. Thanks Portuguese
    Translation Team!
    (Closes: #898292)
  * iproute2.postinst: use setcap -r instead of empty set.
    Thanks Mantas Mikulėnas!
  * Backport patch to avoid dropping caps if NET_ADMIN is inherited to
    avoid breaking applications that set ambient capabilities and then
    fork and exec ip.
    (Closes: #898015)
  * Re-enable pristine-tar (note: needs v1.43).

 -- Luca Boccassi <bluca@debian.org>  Tue, 15 May 2018 09:46:01 +0100

iproute2 (4.16.0-2) unstable; urgency=medium

  * Restrict iproute2 to linux-any

 -- Luca Boccassi <bluca@debian.org>  Thu, 03 May 2018 14:33:22 +0100

iproute2 (4.16.0-1) experimental; urgency=medium

  * Merge tag 'upstream/4.16.0' (Closes: #895719).
  * Drop 0005-revert-flush-default.patch, fixed upstream.
  * Build-Depend on libcap-dev and Depend on libcap-bin.
    If capabilities are set on /bin/ip, they will now be dropped
    immediately unless the command executed is ip vrf exec, in which case
    they will be dropped after the VRF has been switched, before forking.
  * Add capabilities to /bin/ip on postinst to fix ip vrf exec if the
    new low-priority debconf iproute2/setcaps is set to true (false by
    default).
  * Bump Standards-Version to 4.1.4, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 Apr 2018 14:44:50 +0100

iproute2 (4.15.0-3) unstable; urgency=medium

  * Backport 0005-revert-flush-default.patch to fix ip route flush all
    (Closes: #891511)

 -- Luca Boccassi <bluca@debian.org>  Mon, 12 Mar 2018 22:46:24 +0000

iproute2 (4.15.0-2) unstable; urgency=medium

  * Update upstream git repository URL. (Closes: #888804)

 -- Luca Boccassi <bluca@debian.org>  Sun, 18 Feb 2018 11:46:22 +0000

iproute2 (4.15.0-1) experimental; urgency=medium

  * Fix FTCBFS: Pass HOSTCC and PKG_CONFIG variables via CROSS.
    Thanks Helmut Grohne! (Closes: #888404)
  * Merge tag 'upstream/4.15.0' (Closes: #561424 #661886 #877983).
  * Drop 0005-fix-manpage-path.patch, fixed upstream.
  * Drop 0006-fix-testsuite-broken-pipes.patch, merged upstream.

 -- Luca Boccassi <bluca@debian.org>  Tue, 30 Jan 2018 14:51:52 +0000

iproute2 (4.14.1-2) unstable; urgency=medium

  * iproute2-doc: set it to Multiarch: foreign - no dependencies
    and no mainteiner script, just contains text files.
  * Do not override dpkg architecture variables if already set by
    dpkg-buildpackage.
    LW: debian-rules-sets-dpkg-architecture-variable
  * Drop iproute and iproute-doc transitional packages, as they
    have already shipped in Jessie and Stretch. (Closes: #878602)
  * Drop build-dependencies that are no longer necessary since
    upstream dropped all non-manpages docs. (Closes: #856473)
  * Update Standards-Version to 4.1.3:
    - dropped all "extra" priority packages
    - build reproducible out-of-the-box since 4.14.0
  * Add 0005-fix-manpage-path.patch to fix paths to documentation
    files in the manpages. (Closes: #819131, #867875)
  * Import autopkgtest (and 0006-fix-testsuite-broken-pipes.patch)
    from Ubuntu. Thanks Christian Ehrhardt!
  * Drop out-of-tree htb docs as they are not upstream and very,
    very old. (Closes: #617650)
  * Install the rdma binary. (Closes: #886231)
  * Switch from Alioth to Salsa and update VCS metadata.

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Jan 2018 19:19:17 +0000

iproute2 (4.14.1-1) unstable; urgency=medium

  * Merge tag 'upstream/4.14.1'
  * Drop 0002-txtdocs.patch, not needed anymore.
  * Remove rules and matches for old iproute doc, removed upstream.
  * B-D on zlib1g-dev as a workaround for #885071.

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Dec 2017 14:55:10 +0100

iproute2 (4.13.0-1) unstable; urgency=medium

  * Merge tag 'upstream/4.13.0' (Closes: #879854)
  * Drop 0003-fix-segfault-with-iptables-1.6.patch, merged upstream.
  * Refresh 0001-Add-moo-feature.patch to remove fuzz from 4.13.0.
  * Add myself to Uploaders.

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Dec 2017 15:25:29 +0000

iproute2 (4.9.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Backport upstream commit 97a02cabef to fix segfault with iptables 1.6;
    the xtables_globals structure needs to have its new member compat_rev
    initialized. (Closes: #868059)
  * Sync include/xtables.h from iptables to make sure the right offset is
    used when accessing structure members defined in libxtables. One could
    get “Extension does not know id …” otherwise. (See also: #868059)

 -- Cyril Brulebois <cyril@debamax.com>  Wed, 22 Nov 2017 17:43:04 +0000

iproute2 (4.9.0-2) unstable; urgency=medium

  * Let uscan verify signature of upstream tarball
  * Add debian/upstream/metadata
  * Remove myself from uploaders
  * Reinstate Alexander Wirt as primary maintainer

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 14 Sep 2017 11:01:46 +0200

iproute2 (4.9.0-1) unstable; urgency=medium

  * New upstream release, tested by Julian Wollrath.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Dec 2016 16:57:50 +0100

iproute2 (4.8.0-1) unstable; urgency=medium

  * Fix debian/gbp.conf to import upstream tag on import-orig
  * New upstream release.
  * Ship upstream iproute2 docs in iproute2-doc package

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Oct 2016 16:07:30 +0200

iproute2 (4.6.0-4) unstable; urgency=medium

  * Fix conflict resolution, really remove ifstat binary (Closes: #832573)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Aug 2016 09:48:05 +0200

iproute2 (4.6.0-3) unstable; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * debian/control: Downgrade transitional packages to Priority extra

  [ Andreas Henriksson ]
  * Revert "Install ifstat executable and manpage" (Closes: #832573)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 15 Aug 2016 17:36:13 +0200

iproute2 (4.6.0-2) unstable; urgency=medium

  * Team upload.
  [ Julian Wollrath ]
  * Bump standards version to 3.9.8 (no changes needed)
  * Use at least debhelper version 9 (Closes: #672828)
  * Add build-dep on libelf-dev (Closes: #812774)
  * Add build-dep on libmnl-dev
  * Install tipc and devlink executables (Closes: #803922)

  [ Laurent Bigonville ]
  * debian/iproute2.install, debian/iproute2.manpages: Rely on upstream build
    system to install the files and do not pick them from the source directory
  * debian/iproute2.install: Install the bash completion file
  * debian/iproute2.manpages: Install the devlink and genl manpages not
    installed by the upstream build system
  * Install ifstat executable and manpage
  * Run wrap-and-sort script
  * debian/control: Update the Homepage URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Jul 2016 18:43:10 +0200

iproute2 (4.6.0-1) unstable; urgency=medium

  [ Julian Wollrath ]
  * Imported upstream version 4.6.0:
    - Add build-dep on texlive-latex-extra for fullpage
  * Remove debian/patches/f_u32
  * Change VCS URLs to the canonical ones

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 09 Jul 2016 13:17:22 +0200

iproute2 (4.3.0-1) unstable; urgency=medium

  * Add debian/gbp.conf
  * Imported Upstream version 4.3.0
  * Have quilt unfuzz debian/patches/0001-Add-moo-feature.patch
  * Ship new generic netlink utility: genl
  * Ship examples via debian/iproute2-doc.examples instead
  * Add myself to debian/copyright

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 26 Nov 2015 18:34:59 +0100

iproute2 (4.1.1-1) unstable; urgency=medium

  * [be9f298] Imported Upstream version 4.1.1

 -- Alexander Wirt <formorer@debian.org>  Mon, 17 Aug 2015 16:10:46 +0200

iproute2 (4.0.0-1) unstable; urgency=medium

  * [6dd90fb] Imported Upstream version 4.0.0
  * [03b830b] Remove obsolete patch
              0003-ip-link-Remove-unnecessary-device-checking
  * [8c27170] Refresh patches
  * [0c99cce] Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Wed, 24 Jun 2015 10:01:45 +0200

iproute2 (3.16.0-2) unstable; urgency=medium

  * Cherry-pick upstream commit f1b66ff8
    "ip link: Remove unnecessary device checking" (Closes: #757644)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 07:47:42 -0700

iproute2 (3.16.0-1) unstable; urgency=medium

  * Imported Upstream version 3.16.0
    - a.k.a. snapshot 140804

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 05 Aug 2014 14:08:55 +0200

iproute2 (3.15.0-2) unstable; urgency=medium

  * Enable selinux support in ss (Closes: #751963)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Jun 2014 14:27:57 +0200

iproute2 (3.15.0-1) unstable; urgency=medium

  * Imported Upstream version 3.15.0
    - bridge: Make filter_index match in signedness (Closes: #749155)
    - fix print_ipt: segfault if more then one filter with action -j MARK.
      (Closes: #710450)
    - and more...

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 15 Jun 2014 11:17:11 +0200

iproute2 (3.14.0-2) unstable; urgency=medium

  * Add build-dependency on cm-super-minimal (Closes: #750565)
  * Run wrap-and-sort
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Jun 2014 18:26:32 +0200

iproute2 (3.14.0-1) unstable; urgency=medium

  * Imported Upstream version 3.14.0
    - htb: support 64bit rates (Closes: #731507)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Apr 2014 19:13:42 +0200

iproute2 (3.12.0-2) unstable; urgency=medium

  * Add build-dependency on texlive-fonts-recommended (Closes: #738397)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Feb 2014 22:18:40 +0100

iproute2 (3.12.0-1) unstable; urgency=low

  * Improve removal comment in transitional packages descriptions
    (Closes: #708823)
  * Imported Upstream version 3.12.0 (aka snapshot 20131122)
    - ss now avoids negative numbers in malloc, partially fixes #511720
    - gretap now listed in help output and manpage (Closes: #582675)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 26 Nov 2013 00:43:35 +0100

iproute2 (3.11.0-1) unstable; urgency=low

  * Imported Upstream version 3.11.0 (aka snapshot 20130903)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Sep 2013 21:21:03 +0200

iproute2 (3.10.0-1) unstable; urgency=low

  * Imported Upstream version 3.10.0 (aka. snapshot 20130716)
  * Let "gbp-pq rebase && gbp-pq export" drop upstreamed patches
    - 0003-iproute2-fix-build-failure-on-sparc-due-to-Wformat-a.patch
    - 0004-iproute2-patch-against-GCC-4.8.0.patch
    - 0005-ip-fix-build-failure-if-time_t-is-not-long-int.patch

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Jul 2013 12:23:53 +0200

iproute2 (3.9.0-5) unstable; urgency=low

  * Cherry-pick patch from upstream to fix build on x32.
    Thanks to Adam Borowski (Closes: #714172)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Jun 2013 21:04:16 +0200

iproute2 (3.9.0-4) unstable; urgency=low

  * Cherry-pick upstream patch to build with gcc 4.8.0 (Closes: #713998)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Jun 2013 19:54:41 +0200

iproute2 (3.9.0-3) unstable; urgency=low

  * Cherry-pick sparc build failure fix from upstream (Closes: #711540)
    - 0003-iproute2-fix-build-failure-on-sparc-due-to-Wformat-a.patch:

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Jun 2013 11:59:42 +0200

iproute2 (3.9.0-2) unstable; urgency=low

  * Give up and just use an epoch for the transitional packages
  * Add misc:Depends to transitional packages to please lintian

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 08 May 2013 14:27:12 +0200

iproute2 (3.9.0-1) experimental; urgency=low

  * debian/copyright: List additional copyright holders
  * debian/copyright: say GPLv2 (only) as not all files are "or later".
  * Imported Upstream version 3.9.0
  * Please lintian with dummy copyright lines for transitional packages
  * Bump standards-version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 03 May 2013 15:32:09 +0200

iproute2 (3.8.0-2) experimental; urgency=low

  * Add dummy copyright and changelog for iproute and iproute-doc
    - bump iproute and iproute-doc packag version to 20130000-2 and
      make their only content static to hopefully allow us to reupload
      new versions of the package with the transitional packages still
      on the same old version, to avoid having to bump it each time.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Feb 2013 21:09:28 +0100

iproute2 (3.8.0-1) experimental; urgency=low

  * Imported Upstream version 3.8.0
    - ip: handle flush with table > 2^31 (Closes: #700434)
  * Refresh patches to apply without fuzz and offset

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Feb 2013 20:16:18 +0100

iproute2 (3.7.0-1) experimental; urgency=low

  * Add additional meta-info to previous changelog entries
  * Rename the package and adopt new versioning scheme! (Closes: #693575)
    - iproute renamed to iproute2 to properly match upstream name.
    - iproute-doc renamed to iproute2-doc
    - iproute-dev dropped. It only shipped libnetlink static library
      which is actively discuraged. See libmnl instead.
    - add transitional packages iproute and iproute-doc.
  * Add debian/watch file to track upstream releases
  * Make iproute2 and iproute2-doc conflict and replace older equivalents

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Feb 2013 19:04:12 +0100

iproute (20121211-2) experimental; urgency=low

  [ Kamal Mostafa ]
  * Enable cross-compile support in debian/rules (Closes: #670660)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 12:29:03 +0100

iproute (20121211-1) experimental; urgency=low

  * Imported Upstream version 3.7.0 (aka. snapshot 20121211)
    - this version has the fix for cross-compile
    - fixes it's vs its in manpages (Closes: #693043)
  * Revert "List interfaces without net address by default"
    - patch from upstream now part of latest release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 11:59:52 +0100

iproute (20121001-2) experimental; urgency=low

  * Generate recommends for optional module dependencies
    This makes the optional module dependency on libxtables more
    visible, to hopefully get iproute rebuilt whenever libxtables
    bumps soname.
    Thanks to iptables maintainer for splitting libxtables9 into
    a separate package in version 1.4.16.3-2.
  * 0001-iproute2-List-interfaces-without-net-address-by-defa.patch:
    List interfaces without net address by default.
    This fixes regression in iproute2-3.5.1 when `ip addr show' skipped
    interfaces without network layer address.
    Patch from upstream (git 7f747fd9377b8538ad).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 Nov 2012 15:49:24 +0100

iproute (20121001-1) experimental; urgency=low

  * Imported Upstream version 3.6.0 (aka snapshot 20121001)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 02 Oct 2012 23:49:00 +0200

iproute (20120813-1) experimental; urgency=low

  * Add references to fixed bugs in changelog entry for 20120801-1
  * Fix download url in debian/copyright
  * Imported Upstream version 20120813

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Aug 2012 17:11:20 +0200

iproute (20120801-1) experimental; urgency=low

  * Imported Upstream version 20120801 aka v3.5.0
    - includes new tc codel support (Closes: #675942)
    - support both del and delete in all cases (Closes: #673355)
    - manpage fixes from Bjarni Ingi Gislason (Closes: #674704, #674706)
  * debian/iproute.install: Install new bridge tool to /sbin

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 02 Aug 2012 02:03:07 +0200

iproute (20120521-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Mark iproute as Multi-Arch: foreign. (Closes: #676175)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Jun 2012 12:33:31 +0200

iproute (20120521-2) unstable; urgency=low

  * Revert "Apply hardening build flags"
    - hardening simply breaks iproute2 in too many ways.
    (Closes: #674730, #674847) (Reopens: #672828)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 May 2012 12:31:29 +0200

iproute (20120521-1) unstable; urgency=low

  * Imported Upstream version 3.4 (aka snapshot 20120521)
    - trivial fix of ip link syntax in manpage (Closes: #673171)
  * Apply hardening build flags (Closes: #672828)
  * debian/iproute.manpages: fix path to manpages.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 May 2012 14:21:27 +0200

iproute (20120319-1) unstable; urgency=low

  * Build-depend on pkg-config (Closes: #657062)
  * Imported Upstream version 3.3.0 (aka snapshot 20120319)
    This release includes, among other things, the following bug fixes:
    - C++ compatible netlink headers (Closes: #658903)
    - ip link sorted before l2tp (Closes: #656585)
    - Improved tuntap documentation (Closes: #629630)
    - Router advertisement decoding fix (Closes: #634170)
    - tc iec rates decoding fix (Closes: #662979)
    - Drop ip route monitor from help syntax and manpage (Closes: #537681)
  * Revert "Add patch to avoid the need for libnl-dev build dependency"
    - now included upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Mar 2012 16:51:52 +0100

iproute (20120105-1) unstable; urgency=low

  * Imported Upstream version 3.2 (aka snapshot 20120105)
    * better manual pages
    * L2TPv3 support
    * improved RED options
    * netem additions for loss models
    * iptables integration fixes
  * Don't install (outdated) RELNOTES, dropped upstream.
  * Refresh debian patches
  * Bump standards version
  * debian/patches/ipl2tp-avoid-libnl.diff:
    Add patch to avoid the need for libnl-dev build dependency

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 10 Jan 2012 12:59:15 +0100

iproute (20111117-1) unstable; urgency=low

  * Imported Upstream version 3.1.0 (aka snapshot 20111117)
  * Update download location in debian/copyright
    - tarballs now available from kernel.org
  * Drop debian/patches/xt-v6.diff, fixed upstream.
  * Refresh patches: debian/patches/moo.diff and txtdocs.diff

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Nov 2011 22:15:38 +0100

iproute (20110629-1) unstable; urgency=low

  [ Alexander Wirt ]
  * Install ss to /bin instead of /sbin.

  [ Andreas Henriksson ]
  * Imported Upstream version 2.6.39 (aka snapshot 20110629)
    - tc filter: fix dport/sport in pretty print output (Closes: #627312)
  * Finally drop the patch adding the wrr qdisc scheduler to tc
  * Fix txtdocs patch to apply again
  * Add patch to build against xtables version 6

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 04 Jul 2011 17:29:04 +0200

iproute (20110315-1) unstable; urgency=low

  * Imported Upstream version 2.6.38 (snapshot 20110315)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Apr 2011 13:26:51 +0200

iproute (20110107-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 07 Feb 2011 11:10:01 +0100

iproute (20110107-1) experimental; urgency=low

  * Imported Upstream version 2.6.35 (snapshot 20100804)

    Changes since last release (2.6.34):

    Andreas Henriksson (1):
          tc: make symbols loaded from tc action modules global.

    Arnd Hannemann (1):
          iproute2: Add dsfield as alias for tos for ip rules

    Ben Greear (1):
          iproute2: Fix batch-mode for mrules.

    Jan Engelhardt (1):
          Add IFLA_STATS64 support

    Mike Frysinger (3):
          tc: revert "echo" in install target
          dnet: fix strict aliasing warnings
          netem: fix installs of dist files

    Patrick McHardy (1):
          ip: add support for multicast rules

    Petr Lautrbach (1):
          iproute: fix tc generating ipv6 priority filter

    Stephen Hemminger (5):
          Update kernel derived headers
          Update ARP header type table
          Fix NULL pointer reference when using basic match
          Fix byte order of ether address match for u32
          snapshot 100804

    Steve Fink (1):
          ss -p is much too slow

    Ulrich Weber (3):
          iproute2: filter routing entries based on clone flag
          iproute2: use get_user_hz() for IPv6 print_route
          iproute2: use int instead of long for RTAX_HOPLIMIT compare

  * debian/source/format: use 3.0 (quilt)
  * debian/patches: convert from dpatch to quilt style
  * debian/patches/*.diff: refresh and use DEP-3 description
  * debian/rules: drop dpatch usage.
  * debian/control: drop dpatch build dependency.
  * debian/README.source: replace with /usr/share/doc/quilt/README.source
    - could have been dropped since we only use dpkg standard features...

  * Update .gitignore
  * debian/patches/fix-ip-route-get.diff: fix failing route matching.
  * debian/copyright: Update download location
  * packaging: automatically unapply patches after build
  * packaging: ignore if stamp-build and stamp-doc doesn't exist on
    clean
  * packaging: clean up generated txt docs when cleaning unpatched
  * packaging: bump debhelper compatibility and dependency to v8
  * packaging: switch debian/rules to dh
  * debian/control: bump to policy 3.9.1
  * remove manual symlinking of manpages

  * Imported Upstream version 2.6.37 (snapshot 20110107)

    Changes since last release (2.6.35):

    Andreas Schwab (1):
          iproute2: remove useless use of buffer

    Ben Greear (2):
          iproute2: Fix filtering related to flushing IP addresses.
          Allow 'ip addr flush' to loop more than 10 times

    Changli Gao (1):
          iproute2: tc: f_flow: add key rxhash

    Dan Smith (1):
          Add ip route save/restore

    Eric Dumazet (2):
          ip: add RTA_MARK support
          iproute2: add 64bit support to ifstat

    Gerrit Renker (1):
          tc-red: typo in man page

    Gregoire Baron (1):
          tc: add ACT_CSUM action support (csum)

    Mike Frysinger (1):
          m_xt: stop using xtables_set_revision()

    Octavian Purdila (1):
          iproute2: initialize the ll_map only once

    Petr Sabata (3):
          ss(8) improvements by Jiri Popelka <jpopelka@redhat.com>
          ss: Change "do now" to "do not" in ss(8), -n option
          ip: Few typo and grammar errors fixes for ip(8) manpage

    Sridhar Samudrala (1):
          Support 'mode' parameter when creating macvtap device

    Stephen Hemminger (11):
          Snapshot for 2.6.35.1
          Update kernel headers to 2.6.36-rc2
          Use correct rt_link_statistics
          Fix GRED options clearing
          Update to 2.6.36 headers
          Workaround for repeated distclean
          Use standard routines for interface name to index etc
          Increase size of ifindex hash heads
          Cleanup ll_map
          Update to 2.6.37-rc8 headers
          v2.6.37

    Timo Teräs (2):
          iproute2: treat gre key as number
          iproute2: support xfrm upper protocol gre key

    Ulrich Weber (2):
          iproute2: dont filter cached routes on iproute_get
          iproute2: display xfrm socket policy direction

  * Revert "debian/patches/fix-ip-route-get.diff" - fixed upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Jan 2011 10:56:53 +0100

iproute (20100519-3) unstable; urgency=low

  [ Alexander Wirt ]
  * Add README.source

  [ Andreas Henriksson ]
  * tc: make symbols loaded from tc action modules global. (Closes: #584898)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Jul 2010 12:02:39 +0200

iproute (20100519-2) unstable; urgency=low

  * Describe upstream changes between v2.6.33..v2.6.34 in debian
    changelog. (Closes: #582667)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 May 2010 11:22:20 +0200

iproute (20100519-1) unstable; urgency=low

  * New upstream release.
    + Detect 6rd kernel missing support / 6rd tunnel scope
    + iproute2: detect iptables modules dir in configure.
    + iproute2: add option to build m_xt as a tc module (v3)
    + fix build issues with flex ver 2.5
    + ip: document initcwnd
    + iproute2: rework SR-IOV VF support
    + Add 'ip tuntap' support.
    + iproute2: fix addrlabel interface names handling
    + tc: add new queue discipline: head drop fifo
    + xfrm: policy by mark
    + xfrm: Introduce xfrm by mark
    + xfrm: add support for SA by mark
    + ip: correctly report tunnel link type
    + Continue after errors in -batch
    + Update headers for 2.6.33-net-next
    + Fix line numbering on batch commands
    + Workaround missing ALIGN() macro
    + Remove mirred debug message
    + Workaround missing ALIGN() macro.
    + Update ip.8 man page to describe route table id values
    + Update kernel headers to 2.6.34 final version
    + Add documentation for ip link add/delete sub-commands
    + ip: add documentation for initrwnd
    + v2.6.34
    + Update man page to indicate current options
    + ip: Add support for setting and showing SR-IOV virtual funtion
         link params
    + libnetlink: Modify the parser to track first duplicated
         attributes
    + iproute2: netlink support for bus-error reporting and counters
    + gaiconf: /etc/gai.conf configuration helper.
    + skbedit: use get_u32 for parsing mark
    + Add initrwnd to iproute2

  * drop debian/patches/disable-ifstat.dpatch:
    - ifstat is not installed anyway, no need for this patch.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 20 May 2010 10:19:14 +0200

iproute (20100224-5) unstable; urgency=low

  * Add patch (applied upstream): build m_xt as a tc module
  * Install /usr/lib/tc/m_ipt.so symlink (to m_xt.so)
  * Exclude m_ipt.so / m_xt.so from dh_shlibdeps
  * Add note about tc filter action ipt needs iptables installed
    to README.Debian.
    (the above changes closes: #576953)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 18 Apr 2010 18:51:12 +0200

iproute (20100224-4) unstable; urgency=low

  [ Andreas Henriksson ]
  * Use multi-line build-depends.
  * Add iptables-dev build dependency
    - needed to detect which tc ipt/xt module to build.
    - also makes autodetecting IPT_LIB_DIR possible....
  * Revert "explicitly set IPT_LIB_DIR=/lib/xtables when building."
  * Add patch by Alexandre Cassen (Closes: #575970)

  [ Alexandre Cassen ]
  * Detect 6rd kernel missing support / 6rd tunnel scope

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 07 Apr 2010 21:36:57 +0200

iproute (20100224-3) unstable; urgency=low

  * The "Brown paper bag" release, sorry.
  * explicitly set IPT_LIB_DIR=/lib/xtables when building.
    - the configure script auto-detection won't work in clean
      build environments since we don't have a build-depedency
      on iptables!
  * Fix tc/Makefile to include the "" in the IPT_LIB_DIR define.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Mar 2010 21:18:27 +0100

iproute (20100224-2) unstable; urgency=low

  * Drop debian/patches/tc_modules.dpatch
    - /lib/iptables isn't correct anymore.
  * Try to automatically detect correct iptables modules directory
    in configure script.
  * Bump Standards-Version and add ${misc:Depends}

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Mar 2010 20:35:56 +0100

iproute (20100224-1) unstable; urgency=low

  * New upstream release v2.6.33
    - Really dropped equalize command since kernel never supported it.
      (Closes: #149897)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Feb 2010 12:36:02 +0100

iproute (20091226-1) unstable; urgency=low

  * New upstream release v2.6.31
    - dropped equalize command since kernel never supported it.
      (Closes: #149897)
    - avoid segfault on incorrect lladdr. (Closes: #526329)
    - fix manpage typo. (Closes: #539830)
    - support xtables >= 1.4.5 api. (Closes: #532727, #559022)
    - ss help to stdout (Closes: #545008)
    - add -fPIC to lib/Makefile (Closes: #547602)
    - fix parsing of interfaces for mroute. (Closes: #550097)
    - don't fail flush with secondary addresses. (Closes: #532152)
  * hoplimit.dpatch: dropped in favor of other/improved version
    merged upstream.
  * Update lynx build-dependency to include lynx-cur
  * Add patch to avoid using bashisms in configure script.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Jan 2010 22:48:45 +0100

iproute (20090324-1) unstable; urgency=low

  * New upstream release v2.6.29-1 (includes "Fix headers needed for gre")
    - fixed to link against xtables rather then ipt. (Closes: #510924)
  * Make sure clean drops any potential left-over files from WRR qdisc patch.
  * Bump standards version to policy 3.8.1, no changes needed.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 26 Mar 2009 12:36:10 +0100

iproute (20090115-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * debian/rules: Make stamp-doc target depend on patch target.
    - package fails to build binary-indep because of missing txt target
      in doc/Makefile if invoked manually. Reported by Dean Gaudet.
  * New upstream release v2.6.27 (aka 081027, tagged but no tarballs).
    - old ipv4 abbrevation compatibility restored. (Closes: #497011)
    - make it possible to use tunnel names matching "help", if specified
      with explicit "name" parameter before name. (Closes: #497278)
    - add new ip link parameters in usage text when running on
      a kernel that supports them. (Closes: #504064)
    - only print "Nothing to flush" when told to show stats. (Closes: #492196)
  * New upstream release v2.6.28 (aka 090115).

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 Aug 2008 23:01:17 +0200

iproute (20080725-2) unstable; urgency=low

  [ Andreas Henriksson ]
  * Oops, only set Priority: important on the binary iproute package, the
    -dev and -doc packages should still be optional.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 27 Jul 2008 14:38:07 +0200

iproute (20080725-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream release, v2.6.26 a.k.a. snapshot 080725.
  * Actually bump Priority in debian/control, which we claimed to do in
    20071016-3. The real bumping is apparently done by the ftpmaster though.
    (See: #487533)
  * Fix syntax errors in ip(8) manpage.

  [ Alexander Wirt ]
  * bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Sun, 27 Jul 2008 14:02:50 +0200

iproute (20080417-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream release, v2.6.25 a.k.a. snapshot 20080417.
    - Initial documentation for xfrm (Partially fixes #451337)
    - Fixes manpage error caught by lintian!
  * Fix typos (syntax error) in ip(8) manpage.
    - Introduced by upstream, caught by lintian yet again!
  * Don't ship useless headers in iproute-dev (Closes: #467557)
  * Cherry-pick "Fix bad hash calculation because of signed address" from
    upstream. (Closes: #480173)

  [ Justin B Rye ]
  * Update package description (Closes: #464521)

  [ Alexander Wirt ]
  * Fix typo in short package description.

 -- Alexander Wirt <formorer@debian.org>  Sun, 11 May 2008 11:18:29 +0200

iproute (20080108-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream release v2.6.24-080108
  * Drop debian/patches merged upstream.
    fix_ss_typo.dpatch ip.8-typo ip_address libnetlink_typo.dpatch
    manpages-typo.dpatch tcb_htb_typo.dpatch tc_cbq_details_typo.dpatch
    ip_route_usage.dpatch remove_tc_filters_reference.dpatch
  * Drop some of the unused debian/patches.
    esfq-support.dpatch heap_corruptionfix tc_sample_fix
  * Split out direct source edit and put in debian/patches instead for:
    - disabling build of ifstat (disable-ifstat.dpatch)
    - building txt documentation (txtdocs.dpatch)
    - hoplimit option (hoplimit.dpatch)
  * Add patch to document the "promote secondaries" option. (#429689)
  * Update debian/rules for arch-indep (iproute-doc). (Closes: #459652)
  * Drop debian/man/rtmon.8 (use upstreams version instead).

  [ Alexander Wirt ]
  * Update maintainer address
  * Remove Andreas Barth from uploaders - aba: Thanks for your work!

 -- Alexander Wirt <formorer@debian.org>  Sat, 19 Jan 2008 09:22:11 +0100

iproute (20071016-3) unstable; urgency=low

  [ Alexander Wirt ]
  * Prevent q_atm from being scanned by dh_shlibdeps
  * Bump priority to important (Closes: #414086)
  * Make iproute-doc architecture all

  [ Andreas Henriksson ]
  * Revert "fix dotted-quad support patch to work on big-endian",
    and cherry-pick official upstream fix.
  * Revert "TC action parsing bug fix" (Closes: #458539)
  * Add synonyms for ip rule options to ip(8) manpage,
    and drop ip_rule_usage.dpatch (Closes: #433507)
  * Add routel and routef man page. (Closes: #325290)

 -- Alexander Wirt <formorer@debian.org>  Fri, 04 Jan 2008 23:04:36 +0100

iproute (20071016-2) unstable; urgency=low

  [ Andreas Henriksson ]
  * fix incompatibility with older kernels (Closes: #457161)
    (Cherry picked from upstream)

 -- Alexander Wirt <formorer@debian.org>  Thu, 20 Dec 2007 23:05:25 +0100

iproute (20071016-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream release (v2.6.23 aka snapshot 071016) (Closes: #445944)
    - time2tick overflow patch applied upstream (Closes: #175462)
    - tc ematch cmp/nbyte help patch applied upstream (Closes: #438653)
    - mpath support dropped upstream (Closes: #428440, #428442)
    - new manpages included upstream (Closes: #438994)
    - linux header files updated to v2.6.23 (Closes: #409047)
  * Drop patches which has been applied upstream or deprecated by
    upstream changes.
    - debian/patches/lartc applied upstream.
    - debian/patches/netbug_fix deprecated, upstream dropped netbug script.
    - debian/patches/empty_linkname.dpatch deprecated, fixed upstream.
  * Add .dpatch suffix to wrr-qdisc patch to make dpatch-edit-patch work.
  * Update patches to apply:
    - wrr-qdisc, moo, ip_route_usage
  * Don't install removed netbug script.
  * Fix corruption when using batch files with comments and broken
    lines. (cherry-picked from upstream. Closes: #398912)
  * Update build-dependencies:
    - libdb4.3-dev -> libdb-dev. (Closes: #442653)
    - linux-kernel-headers -> linux-libc-dev.
  * Drop debian/patches/ip_address_flush_loop.dpatch,
    instead we'll use Daniel Silverstones patch imported from Ubuntu.
  * Add Homepage and Vcs-{Browser,Git} fields to debian/control.
  * Remove dead/leftover code from tc/q_htb.c, include/linux/pkt_sched.h
  * Remove outdated README.Debian.
  * Drop our own (buggy) RTAX_INITCWND support, in favor of upstreams.
  * fix dotted-quad support patch to work on big-endian.
    (upstream applied a broken patch, which we cherry-picked for #357172)

  [ Ben Finney ]
  * Add dh_md5sums to generate md5sums control file (Closes: #439439)

  [ Justin Pryzby ]
  * ss(8) manpage formatting breaks EXAMPLE (Closes: #443071)

  [ Daniel Silverstone ]
  * Avoid infinite loop in ip addr flush.

  [ Alexander Wirt ]
  * Add Andreas Henriksson to uploaders
  * Bump standards version
  * Support dotted-quad netmasks in iproute (Closes: #357172) (Cherry picked
    from upstream)

 -- Alexander Wirt <formorer@debian.org>  Sun, 16 Dec 2007 14:30:31 +0100

iproute (20070313-1) unstable; urgency=low

  * New upstream release
  * Make iproute-doc a suggest (Closes: #424967)
  * Add tc_cbq_details_typo.dpatch (Closes: #387083)
  * Add libnetlink_typo.dpatch (Closes: #396124)
  * Add tcb_htb_typo.dpatch (Closes: #396317)
  * Remove references to non-existing tc-filters manpage (Closes:
    #298715)
  * Fix bad phrased sentence in ss manpage (Closes: #401552)

 -- Alexander Wirt <formorer@debian.org>  Sun, 10 Jun 2007 19:36:48 +0200

iproute (20061002-4) unstable; urgency=low

  * Add distribution tables (used by netem).
    (Closes: #408313)

 -- Alexander Wirt <formorer@debian.org>  Wed, 24 Jan 2007 22:55:26 +0100

iproute (20061002-3) unstable; urgency=low

  * Added a patch from Nikolai Kondrashov that fixes unknown
    symbols in ip_common.h. (Closes: #397584)

 -- Alexander Wirt <formorer@debian.org>  Thu, 14 Dec 2006 20:11:55 +0100

iproute (20061002-2) unstable; urgency=medium

  * Add manpage for ss, rtmon  and lnstat (Thanks to Michael Prokop for that)
  * Fix metric output of iproute (backported from git)
    (http://bugs.archlinux.org/task/5669)
  * medium as this bug breaks other packages such as vpnc

 -- Alexander Wirt <formorer@debian.org>  Thu, 19 Oct 2006 06:39:05 +0200

iproute (20061002-1) unstable; urgency=low

  * New upstream release
    - This fixes the xfrm monitor mode (Closes: #383133)
  * Fix typos in manpages (Closes: #387082, #387083)
  * Split docs in a seperate package

 -- Alexander Wirt <formorer@debian.org>  Sun, 15 Oct 2006 16:40:34 +0200

iproute (20060323-1) unstable; urgency=low

  * New upstream release (Closes: #370699)
  * Removed reenable_short_matches, tc_sample_fix, f_u32 patches (included
    upstream)
  * Add manpage for pfifo (Closes: #359971)
  * Add moo object (Closes: #312843)
  * Add src option to ip_route usage (Closes: #226142)
  * Prevent users from renaming an interface to "" (Closes: #241904)
  * Added timout for ip a f (Closes: #386288)

 -- Alexander Wirt <formorer@debian.org>  Fri,  8 Sep 2006 16:43:20 +0200

iproute (20051007-4) unstable; urgency=low

  * Moved *stat binaries to /usr/bin/ (Closes: #350703)
  * Fixed some manpage typos
    (Closes: #350671, #350672, #350673, #350674, #350675)
  * Conflicts with arpd
  * Fixes u32 bucket hashing calucation. (Closes: #351751)
    Thanks to Russel Stuart for the patch
  * Moved to libdb4.3
  * Fixed ip help output (Closes: #354909)
  * Fixed hardcoded module paths for tc (Closes: #290315)

 -- Alexander Wirt <formorer@debian.org>  Sun,  5 Feb 2006 09:47:36 +0100

iproute (20051007-3) unstable; urgency=low

  * New upstream release (Closes: #333643)
  * Added a patch for tc that add u32 get parsed correct
    Thanks Russell Stuart for the patch (Closes: #347699)
  * We now have a manpage for tc-bfifo (Closes: #319871)
  * "get" is no longer mentioned in tc's usage (Closes: #167314)
  * We now build arpd (Closes: #296200)
  * Include htb docs (Closes: #204629)
  * Added flex to build-deps (Closes: #340004, #339119)
  * Added symlinks for lnstat (Closes: #302589)
  * Acknowledge heap correction nmu (Closes: #326961)
  * Acknowledge douple free fix nmu (Closes: #338575)
  * Fixed allmulticast mention in ip manpage (Closes: #305338)
  * Add [ prio NUMBER ] to ip_rule.c (Closes: #213673)

 -- Alexander Wirt <formorer@debian.org>  Sun,  5 Feb 2006 09:37:01 +0100

iproute (20051007-2) experimental; urgency=low

  * Added flex to build-deps

 -- Alexander Wirt <formorer@debian.org>  Sun, 20 Nov 2005 10:46:39 +0100

iproute (20051007-1) experimental; urgency=low

  * The "lets break other peoples networking release"
    + New upstream release
    + New maintainer
    + Fix netbug script
    + Reenable short iproute commands

 -- Alexander Wirt <formorer@debian.org>  Tue,  1 Nov 2005 10:22:05 +0100

iproute (20041019-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix size of table allocation (closes: #326961, #338575)

 -- Blars Blarson <blarson@blars.org>  Sat, 14 Jan 2006 02:07:18 +0000

iproute (20041019-4) unstable; urgency=low

  * New maintainer, closes: #295122.
  * Included iproute2 homepage in debian/control and updated it in
    debian/copyright.
  * Updated FSF mail address in debian/copyright.
  * Set Standards-Version to 3.6.2 in debian/control.
  * Fixed "FTBFS: normal.c heap corrution due to table overflow",
    closes: #326961. Patch by LaMont Jones <lamont@debian.org>.
  * Fixed "Netbug script gives syntax error", closes: #313540.
    Patch by Allard Hoeve <allard@byte.nl>.
  * Fixed "Netbug creates uuencoded file with wrong suffix", closes:
    #313541. Patch by Allard Hoeve <allard@byte.nl>.
  * Fixed "Netbug warns about intended stripping of trailing '/'",
    closes: #313544. Patch by Allard Hoeve <allard@byte.nl>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 Nov 2005 13:22:15 +1100

iproute (20041019-3) unstable; urgency=medium

  * fix insecure file creation in netbug. Closes: #289541
  * remove bogus reference to tc-filters from tc's manpage. Closes: #289225
  * add support for "hoplimit" and "initcwnd" route metrics. Closes: #221893
  * ikey for GRE works. Closes: #200714
  * include wrr qdisc. Closes: #198414

 -- Andreas Barth <aba@not.so.argh.org>  Sun,  9 Jan 2005 11:51:09 +0000

iproute (20041019-2) unstable; urgency=low

  * build fails if subdir fails. Closes: #283797
  * include q_netem.so. Closes: #283968
  * fix typo in man page. Closes: #285507
  * removed the 2. and 3. copy of the man pages.
  * start using dpatch.
  * add reference to Advanced Routing HOWTO. Closes: #150087

 -- Andreas Barth <aba@not.so.argh.org>  Wed,  5 Jan 2005 21:20:44 +0000

iproute (20041019-1) unstable; urgency=low

  * New maintainer.
  * packaging changes:
    + using debhelper
    + add all manpages. Closes: #57829, #138432, #203797, #246521
    + add documentation text and html doc, and adding lynx as build-dep.
      Closes: #121978, #57828
    + include all tex-files in the doc. Closes: #107117
  * get straight with the kernel. Closes: #186808
  * add header files and libnetlink to new development package.
    Closes: #128162, #139309
  * build-depend on libatm1-dev | atm-dev instead of atm-dev

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 28 Nov 2004 01:07:30 +0000

iproute (20041019-0.2) unstable; urgency=low

  * NMU, uploading to unstable.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 22 Nov 2004 19:43:17 +0200

iproute (20041019-0.1) experimental; urgency=low

  * NMU, fixing only most urgent issues.
  * New upstream package, fixes:
    + compatibility with 2.6.7 and above. Closes: #262698
    + no longer with netinet/in.h. Closes: #221877

 -- Andreas Barth <aba@not.so.argh.org>  Mon,  8 Nov 2004 07:50:35 +0100

iproute (20010824-13.1) unstable; urgency=high

  * NMU for a security fix.
  * [CAN-2003-0856] Fix a local denial of service vulnerability via
    spoofed messages to the kernel's Netlink interface. (Closes: #242994)

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 16 May 2004 20:28:43 -0700

iproute (20010824-13) unstable; urgency=low

  * debian/rules: Run dpkg-shlibdeps with all the executables,
    to fix dependency problem                      (closes: Bug#224063)
  * Really removed references to obsolete include files
    (Bug#223165 was not fixed properly)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 25 Jan 2004 23:04:20 +0100

iproute (20010824-12) unstable; urgency=low

  * Updated README.Debian and copyright file
  * Added two new manpages from http://lartc.org/manpages/:
    ip(8) and tc-cbq-details(8).
  * Removed references to obsolete include files which made
    compilation fail (closes: Bug#223165)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 14 Dec 2003 00:40:10 +0100

iproute (20010824-11) unstable; urgency=low

  * Changed priority to "optional"
  * Fixed "tc -s qdisc" on sparc (patch by "Nicolas S. Dade"
    <ndade@nsd.dyndns.org>) (closes: Bug#194128)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 17 Aug 2003 00:22:47 +0200

iproute (20010824-10) unstable; urgency=low

  * Updated manual pages from http://www.lartc.org/manpages/
                (closes: Bug#156353, Bug#175313, Bug#176989, Bug#189095)
  * New Standards-Version
  * Don't "rm -rf /etc/iproute2" on purge (closes: Bug#202862)
  * Include "iproute2" in the description (closes: Bug#182999)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 16 Aug 2003 18:29:27 +0200

iproute (20010824-9) unstable; urgency=medium

  * Added patch for HTB v3.6 to be able to work with kernel 2.4.20
    (from http://luxik.cdi.cz/~devik/qos/htb/v3/htb3.6-020525.tgz)
                (closes: Bug#147550, Bug#167149, Bug#167597, Bug#171277)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 05 Dec 2002 13:44:10 +0100

iproute (20010824-8) unstable; urgency=medium

  * Added support for HTB queuing discipline        (closes: Bug#133381)
    NOTE: you need a patched kernel in order to use it

 -- Juan Cespedes <cespedes@debian.org>  Tue,  2 Apr 2002 20:29:40 +0200

iproute (20010824-7) unstable; urgency=medium

  * Move `ip' binary to /bin to fix FHS violation   (closes: Bug#134812)

 -- Juan Cespedes <cespedes@debian.org>  Mon,  4 Mar 2002 00:20:30 +0100

iproute (20010824-6) unstable; urgency=low

  * Added a couple of #ifdef's to be able to compile with older
    kernel headers (needed for arm)                 (closes: Bug#131695)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 16 Feb 2002 19:27:15 +0100

iproute (20010824-5) unstable; urgency=low

  * Really fix Bug#121589 (dead gateway bug); apparently I
    forgot to include the patch in 20010824-2

 -- Juan Cespedes <cespedes@debian.org>  Tue, 29 Jan 2002 23:22:24 +0100

iproute (20010824-4) unstable; urgency=low

  * Added support for DIFFSERV and ATM in tc

 -- Juan Cespedes <cespedes@debian.org>  Sun, 13 Jan 2002 03:01:47 +0100

iproute (20010824-3) unstable; urgency=low

  * Updated tc* man pages (thanks to bert hubert <ahu@ds9a.nl>)
  * Fixed spurious space in `tc -s qdisc' output (closes: Bug#128501)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 10 Jan 2002 22:18:25 +0100

iproute (20010824-2) unstable; urgency=low

  * Fixed the following important and serious bugs:
    + iproute doesn't compile on Alpha (closes: Bug#118113, Bug#123224)
    + iproute doesn't compile on MIPS (closes: Bug#118424)
    + iproute doesn't compile on powerpc (closes: Bug#119601)
  * Added man pages for tc (closes: Bug#124230), tc-cbq, tc-red, tc-tbf,
    tc-prio and tc-sfq
  * Removed references to old programs from iproute(7) (closes: Bug#99536)
  * Fixed bug which presented first hop as dead in equal cost multipath
                                                      (closes: Bug#121589)
  * Do not process .ps with through `psnup' (closes: Bug#119820)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  8 Jan 2002 16:07:27 +0100

iproute (20010824-1) unstable; urgency=low

  * New upstream version
  * Make ingress qdisc work again with tc           (closes: Bug#84444)
  * Make it compile properly with new include files (closes: Bug#113112)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 28 Oct 2001 16:38:00 +0100

iproute (20001007-1) unstable; urgency=low

  * New upstream version                             (closes: Bug#63701)
  * Remove /etc/iproute2 on purge                    (closes: Bug#72743)
  * Fixed Lintian warnings (no-priority-field and no-section-field)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Oct 2000 19:27:12 +0200

iproute (991023-2) unstable; urgency=low

  * New Standards-Version (3.1.1) (closes: Bug#47923)
  * Modified description of package to show which kernel options are
    necessary to use the package (closes: Bug#47922)
  * Updated manual page to point at /usr/share/doc/iproute (closes: Bug#47924)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Dec 1999 04:00:21 +0100

iproute (991023-1) unstable; urgency=low

  * New upstream version (closes: Bug#48733)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  2 Nov 1999 16:29:37 +0100

iproute (990824-1) unstable; urgency=low

  * New maintainer
  * New upstream version
  * New Standards-Version: 3.1.0
  * Minor fix in "ip rule list": mask in "from" address was not shown
    correctly
  * Removed obsoleted documentation from "debian/" directory

 -- Juan Cespedes <cespedes@debian.org>  Sun, 24 Oct 1999 19:02:56 +0200

iproute (990630-1) unstable; urgency=low

  * New upstream version.
  * FHS and standards 3.0.1.0.

 -- Roberto Lumbreras <rover@debian.org>  Tue,  3 Aug 1999 02:49:28 +0200

iproute (990530-1) unstable; urgency=low

  * New upstream version.
  * Build with 2.2.10 kernel headers.
  * Install new scripts ip/routef ip/routel, but not ip/ifcfg ip/rtpr by
    now, I don't know who/what needs rtpr; ifcfg uses arping, and it isn't
    available in debian for now.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 22 Jun 1999 02:28:53 +0200

iproute (990329-1) unstable; urgency=low

  * New upstream version.
  * Build with 2.2.5 kernel headers.

 -- Roberto Lumbreras <rover@debian.org>  Sun,  4 Apr 1999 18:50:39 +0200

iproute (980630-1) unstable; urgency=low

  * New upstream version.
  * Build with 2.1.112 kernel headers.
  * Rewrote the rules file.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 29 Jul 1998 23:37:52 +0200

iproute (980119-1) unstable; urgency=low

  * Outdated documentation. Upstream docs are scarce.
  * Non-Maintainer release
  * This package has no correct copyright file!
  * Include all the README.* docs from the upstream site.
  * Modified to build under glibc
  * Build with 2.1.85 kernel headers.
  * produce a correct diff.
  * Reworked the rules file to utilize debmake fully
  * Newest upstream release
  * glibc compilation

 -- Christoph Lameter <christoph@lameter.com>  Wed,  4 Feb 1998 13:37:28 -0800

iproute (961225-2) unstable frozen; urgency=low

  * Added a man page for iproute. (Fixes #8080).
  * Removed out-of-date patches.
  * Added routing.txt from /usr/src/linux/Documentation/networking/routing.txt
  * Newer version of debmake.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Mon, 17 Apr 1997 17:00:36 +0100

iproute (961225-1) unstable; urgency=low

  * Initial Release.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Mon, 30 Dec 1996 11:12:23 +0000

Local variables:
mode: debian-changelog
End:
